package org.jeecg.common.face.service;

import com.arcsoft.face.FaceFeature;
import com.arcsoft.face.FaceInfo;
import com.arcsoft.face.FaceSimilar;
import com.arcsoft.face.toolkit.ImageInfo;

import java.io.File;

public interface IArcFaceService {
    FaceFeature getFeature(File file);
    File[] loadFaceData();
    /**
     * 检测图片是否包含人脸
     * @param file
     * @return
     */
    boolean hasFace(File file);

    /**
     * 判断是否是同一个人
     * @param src 源图片(人脸数据库中的图片)
     * @param dst 目的图片(前端上传的图片)
     * @param threshold 相似度阈值(0 - 1)
     * @return
     */
    boolean isSamePerson(File src, File dst, double threshold);

    String getActiveDeviceInfo();
}
